aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2017-04-12 12:13:44 +0200
committerHarald Welte <laforge@gnumonks.org>2017-04-12 12:13:44 +0200
commitac3598008390c5185f6b71feffe31cb7fa61b9a7 (patch)
tree66422bb31538595c3e70a7042f986b9653ecd3be /bin
initial chekin of code received by Ericsson on 20170410
Diffstat (limited to 'bin')
l---------bin/General_Types.ttcn1
l---------bin/M3UA_Emulation.ttcn1
l---------bin/M3UA_Types.ttcn1
l---------bin/MTP3asp_PortType.ttcn1
l---------bin/MTP3asp_Types.ttcn1
-rw-r--r--bin/Makefile190
l---------bin/SCCP_Emulation.ttcn1
l---------bin/SCCP_Mapping.ttcn1
l---------bin/SCCP_Mapping.ttcnpp1
l---------bin/SCCP_Testcases.cfg1
l---------bin/SCCP_Testcases.ttcn1
l---------bin/SCCP_Types.ttcn1
l---------bin/SCCPasp_Types.ttcn1
l---------bin/SCTPasp_PT.cc1
l---------bin/SCTPasp_PT.hh1
l---------bin/SCTPasp_PortType.ttcn1
l---------bin/SCTPasp_Types.ttcn1
-rwxr-xr-xbin/install.script34
18 files changed, 240 insertions, 0 deletions
diff --git a/bin/General_Types.ttcn b/bin/General_Types.ttcn
new file mode 120000
index 00000000..206f0e35
--- /dev/null
+++ b/bin/General_Types.ttcn
@@ -0,0 +1 @@
+../COMMON/src/General_Types.ttcn \ No newline at end of file
diff --git a/bin/M3UA_Emulation.ttcn b/bin/M3UA_Emulation.ttcn
new file mode 120000
index 00000000..920cdcf9
--- /dev/null
+++ b/bin/M3UA_Emulation.ttcn
@@ -0,0 +1 @@
+../M3UA_CNL113537/src/M3UA_Emulation.ttcn \ No newline at end of file
diff --git a/bin/M3UA_Types.ttcn b/bin/M3UA_Types.ttcn
new file mode 120000
index 00000000..3b60f723
--- /dev/null
+++ b/bin/M3UA_Types.ttcn
@@ -0,0 +1 @@
+../M3UA_CNL113536/src/M3UA_Types.ttcn \ No newline at end of file
diff --git a/bin/MTP3asp_PortType.ttcn b/bin/MTP3asp_PortType.ttcn
new file mode 120000
index 00000000..9f2cae65
--- /dev/null
+++ b/bin/MTP3asp_PortType.ttcn
@@ -0,0 +1 @@
+../MTP3asp_CNL113337/src/MTP3asp_PortType.ttcn \ No newline at end of file
diff --git a/bin/MTP3asp_Types.ttcn b/bin/MTP3asp_Types.ttcn
new file mode 120000
index 00000000..ef67545f
--- /dev/null
+++ b/bin/MTP3asp_Types.ttcn
@@ -0,0 +1 @@
+../MTP3asp_CNL113337/src/MTP3asp_Types.ttcn \ No newline at end of file
diff --git a/bin/Makefile b/bin/Makefile
new file mode 100644
index 00000000..120c4ec4
--- /dev/null
+++ b/bin/Makefile
@@ -0,0 +1,190 @@
+# This Makefile was generated by the Makefile Generator
+# of the TTCN-3 Test Executor version CRL 113 200/6 R1A
+# for Elemer Lelik (ethlel@esekilxxen1846) on Wed Apr 12 09:00:44 2017
+
+# Copyright (c) 2000-2017 Ericsson Telecom AB
+
+# The following make commands are available:
+# - make, make all Builds the executable test suite.
+# - make archive Archives all source files.
+# - make check Checks the semantics of TTCN-3 and ASN.1modules.
+# - make port Generates port skeletons.
+# - make clean Removes all generated files.
+# - make compile Translates TTCN-3 and ASN.1 modules to C++.
+# - make dep Creates/updates dependency list.
+# - make executable Builds the executable test suite.
+# - make library Builds the library archive.
+# - make objects Builds the object files without linking the executable.
+#
+# Set these variables...
+#
+
+# The path of your TTCN-3 Test Executor installation:
+# Uncomment this line to override the environment variable.
+# TTCN3_DIR =
+
+# Your platform: (SOLARIS, SOLARIS8, LINUX, FREEBSD or WIN32)
+PLATFORM = LINUX
+
+# Your C++ compiler:
+# (if you change the platform, you may need to change the compiler)
+CXX = g++
+
+# Flags for the C++ preprocessor (and makedepend as well):
+CPPFLAGS = -D$(PLATFORM) -I$(TTCN3_DIR)/include
+
+# Flags for the C++ compiler:
+CXXFLAGS = -Wall
+
+# Flags for the linker:
+LDFLAGS =
+
+ifeq ($(PLATFORM), WIN32)
+# Silence linker warnings.
+LDFLAGS += -Wl,--enable-auto-import,--enable-runtime-pseudo-reloc
+endif
+
+# Utility to create library files
+AR = ar
+ARFLAGS =
+
+# Flags for the TTCN-3 and ASN.1 compiler:
+COMPILER_FLAGS = -L
+
+# Execution mode: (either ttcn3 or ttcn3-parallel)
+TTCN3_LIB = ttcn3-parallel
+
+# The path of your OpenSSL installation:
+# If you do not have your own one, leave it unchanged.
+OPENSSL_DIR = $(TTCN3_DIR)
+
+# The path of your libxml2 installation:
+# If you do not have your own one, leave it unchanged.
+XMLDIR = $(TTCN3_DIR)
+
+# Directory to store the archived source files:
+# Note: you can set any directory except ./archive
+ARCHIVE_DIR = backup
+
+#
+# You may change these variables. Add your files if necessary...
+#
+
+# TTCN-3 modules of this project:
+TTCN3_MODULES = General_Types.ttcn M3UA_Emulation.ttcn M3UA_Types.ttcn MTP3asp_PortType.ttcn MTP3asp_Types.ttcn SCCP_Emulation.ttcn SCCP_Mapping.ttcn SCCP_Testcases.ttcn SCCP_Types.ttcn SCCPasp_Types.ttcn SCTPasp_PortType.ttcn SCTPasp_Types.ttcn
+
+# ASN.1 modules of this project:
+ASN1_MODULES =
+
+# C++ source & header files generated from the TTCN-3 & ASN.1 modules of
+# this project:
+GENERATED_SOURCES = General_Types.cc M3UA_Emulation.cc M3UA_Types.cc MTP3asp_PortType.cc MTP3asp_Types.cc SCCP_Emulation.cc SCCP_Mapping.cc SCCP_Testcases.cc SCCP_Types.cc SCCPasp_Types.cc SCTPasp_PortType.cc SCTPasp_Types.cc
+GENERATED_HEADERS = General_Types.hh M3UA_Emulation.hh M3UA_Types.hh MTP3asp_PortType.hh MTP3asp_Types.hh SCCP_Emulation.hh SCCP_Mapping.hh SCCP_Testcases.hh SCCP_Types.hh SCCPasp_Types.hh SCTPasp_PortType.hh SCTPasp_Types.hh
+
+# C/C++ Source & header files of Test Ports, external functions and
+# other modules:
+USER_SOURCES = SCTPasp_PT.cc
+USER_HEADERS = SCTPasp_PT.hh
+
+# Object files of this project that are needed for the executable test suite:
+OBJECTS = $(GENERATED_OBJECTS) $(USER_OBJECTS)
+
+GENERATED_OBJECTS = General_Types.o M3UA_Emulation.o M3UA_Types.o MTP3asp_PortType.o MTP3asp_Types.o SCCP_Emulation.o SCCP_Mapping.o SCCP_Testcases.o SCCP_Types.o SCCPasp_Types.o SCTPasp_PortType.o SCTPasp_Types.o
+
+USER_OBJECTS = SCTPasp_PT.o
+
+# Other files of the project (Makefile, configuration files, etc.)
+# that will be added to the archived source files:
+OTHER_FILES = Makefile
+
+# The name of the executable test suite:
+EXECUTABLE = SCCP_Test
+
+
+
+LIBRARY = lib$(EXECUTABLE).a
+
+TARGET = $(EXECUTABLE)
+
+#
+# Do not modify these unless you know what you are doing...
+# Platform specific additional libraries:
+#
+SOLARIS_LIBS = -lsocket -lnsl -lxml2 -lresolv
+SOLARIS8_LIBS = -lsocket -lnsl -lxml2 -lresolv
+LINUX_LIBS = -lxml2 -lpthread -lrt
+FREEBSD_LIBS = -lxml2
+WIN32_LIBS = -lxml2
+
+#
+# Rules for building the executable...
+#
+
+all: $(TARGET) ;
+
+executable: $(EXECUTABLE) ;
+
+library: $(LIBRARY) ;
+
+objects: $(OBJECTS) compile;
+
+$(EXECUTABLE): $(OBJECTS)
+ if $(CXX) $(LDFLAGS) -o $@ $(OBJECTS) \
+ -L$(TTCN3_DIR)/lib -l$(TTCN3_LIB) \
+ -L$(OPENSSL_DIR)/lib -lcrypto \
+ -L$(XMLDIR)/lib $($(PLATFORM)_LIBS); \
+ then : ; else $(TTCN3_DIR)/bin/titanver $(OBJECTS); exit 1; fi
+
+$(LIBRARY): $(OBJECTS)
+ $(AR) -r $(ARFLAGS) $(LIBRARY) $(OBJECTS)
+
+%.o: %.c $(GENERATED_HEADERS)
+ $(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -o $@ $<
+
+%.o: %.cc $(GENERATED_HEADERS)
+ $(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -o $@ $<
+
+$(GENERATED_SOURCES) $(GENERATED_HEADERS): compile
+ @if [ ! -f $@ ]; then rm -f compile; $(MAKE) compile; fi
+
+check: $(TTCN3_MODULES) $(ASN1_MODULES)
+ $(TTCN3_DIR)/bin/compiler -s $(COMPILER_FLAGS) \
+ $(TTCN3_MODULES) $(PREPROCESSED_TTCN3_MODULES) $(ASN1_MODULES)
+
+port: $(TTCN3_MODULES) $(ASN1_MODULES)
+ $(TTCN3_DIR)/bin/compiler -t $(COMPILER_FLAGS) \
+ $(TTCN3_MODULES) $(PREPROCESSED_TTCN3_MODULES) $(ASN1_MODULES)
+
+compile: $(TTCN3_MODULES) $(ASN1_MODULES)
+ $(TTCN3_DIR)/bin/compiler $(COMPILER_FLAGS) \
+ $(TTCN3_MODULES) $(ASN1_MODULES) - $?
+ touch $@
+
+clean:
+ -rm -f $(EXECUTABLE) $(LIBRARY) $(OBJECTS) $(GENERATED_HEADERS) \
+ $(GENERATED_SOURCES) compile \
+ tags *.log
+
+dep: $(GENERATED_SOURCES) $(USER_SOURCES) ;
+ makedepend $(CPPFLAGS) -DMAKEDEPEND_RUN $(GENERATED_SOURCES) $(USER_SOURCES)
+
+archive:
+ mkdir -p $(ARCHIVE_DIR)
+ tar -cvhf - $(TTCN3_MODULES) $(ASN1_MODULES) \
+ $(USER_HEADERS) $(USER_SOURCES) $(OTHER_FILES) \
+ | gzip >$(ARCHIVE_DIR)/`basename $(TARGET) .exe`-`date '+%y%m%d-%H%M'`.tgz
+
+diag:
+ $(TTCN3_DIR)/bin/compiler -v 2>&1
+ $(TTCN3_DIR)/bin/mctr_cli -v 2>&1
+ $(CXX) -v 2>&1
+ $(AR) -V 2>&1
+ @echo TTCN3_DIR=$(TTCN3_DIR)
+ @echo OPENSSL_DIR=$(OPENSSL_DIR)
+ @echo XMLDIR=$(XMLDIR)
+ @echo PLATFORM=$(PLATFORM)
+
+#
+# Add your rules here if necessary...
+#
+
diff --git a/bin/SCCP_Emulation.ttcn b/bin/SCCP_Emulation.ttcn
new file mode 120000
index 00000000..56f95487
--- /dev/null
+++ b/bin/SCCP_Emulation.ttcn
@@ -0,0 +1 @@
+../SCCP_CNL113341/src/SCCP_Emulation.ttcn \ No newline at end of file
diff --git a/bin/SCCP_Mapping.ttcn b/bin/SCCP_Mapping.ttcn
new file mode 120000
index 00000000..49e5098d
--- /dev/null
+++ b/bin/SCCP_Mapping.ttcn
@@ -0,0 +1 @@
+../SCCP_CNL113341/src/SCCP_Mapping.ttcnpp \ No newline at end of file
diff --git a/bin/SCCP_Mapping.ttcnpp b/bin/SCCP_Mapping.ttcnpp
new file mode 120000
index 00000000..49e5098d
--- /dev/null
+++ b/bin/SCCP_Mapping.ttcnpp
@@ -0,0 +1 @@
+../SCCP_CNL113341/src/SCCP_Mapping.ttcnpp \ No newline at end of file
diff --git a/bin/SCCP_Testcases.cfg b/bin/SCCP_Testcases.cfg
new file mode 120000
index 00000000..34a3574a
--- /dev/null
+++ b/bin/SCCP_Testcases.cfg
@@ -0,0 +1 @@
+../SCCP_Test/SCCP_Testcases.cfg \ No newline at end of file
diff --git a/bin/SCCP_Testcases.ttcn b/bin/SCCP_Testcases.ttcn
new file mode 120000
index 00000000..044b425c
--- /dev/null
+++ b/bin/SCCP_Testcases.ttcn
@@ -0,0 +1 @@
+../SCCP_Test/SCCP_Testcases.ttcn \ No newline at end of file
diff --git a/bin/SCCP_Types.ttcn b/bin/SCCP_Types.ttcn
new file mode 120000
index 00000000..79ab3ba0
--- /dev/null
+++ b/bin/SCCP_Types.ttcn
@@ -0,0 +1 @@
+../SCCP_CNL113341/src/SCCP_Types.ttcn \ No newline at end of file
diff --git a/bin/SCCPasp_Types.ttcn b/bin/SCCPasp_Types.ttcn
new file mode 120000
index 00000000..1d80a1d6
--- /dev/null
+++ b/bin/SCCPasp_Types.ttcn
@@ -0,0 +1 @@
+../SCCP_CNL113341/src/SCCPasp_Types.ttcn \ No newline at end of file
diff --git a/bin/SCTPasp_PT.cc b/bin/SCTPasp_PT.cc
new file mode 120000
index 00000000..23344849
--- /dev/null
+++ b/bin/SCTPasp_PT.cc
@@ -0,0 +1 @@
+../SCTPasp_CNL113469/src/SCTPasp_PT.cc \ No newline at end of file
diff --git a/bin/SCTPasp_PT.hh b/bin/SCTPasp_PT.hh
new file mode 120000
index 00000000..5ba6a79e
--- /dev/null
+++ b/bin/SCTPasp_PT.hh
@@ -0,0 +1 @@
+../SCTPasp_CNL113469/src/SCTPasp_PT.hh \ No newline at end of file
diff --git a/bin/SCTPasp_PortType.ttcn b/bin/SCTPasp_PortType.ttcn
new file mode 120000
index 00000000..798fd7bd
--- /dev/null
+++ b/bin/SCTPasp_PortType.ttcn
@@ -0,0 +1 @@
+../SCTPasp_CNL113469/src/SCTPasp_PortType.ttcn \ No newline at end of file
diff --git a/bin/SCTPasp_Types.ttcn b/bin/SCTPasp_Types.ttcn
new file mode 120000
index 00000000..e067b947
--- /dev/null
+++ b/bin/SCTPasp_Types.ttcn
@@ -0,0 +1 @@
+../SCTPasp_CNL113469/src/SCTPasp_Types.ttcn \ No newline at end of file
diff --git a/bin/install.script b/bin/install.script
new file mode 100755
index 00000000..d6808cc3
--- /dev/null
+++ b/bin/install.script
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+
+
+ln -sf ../COMMON/src/General_Types.ttcn .
+
+#M3UA protocol module
+ln -sf ../M3UA_CNL113536/src/M3UA_Types.ttcn .
+#M3UA Emulator
+ln -sf ../M3UA_CNL113537/src/M3UA_Emulation.ttcn .
+
+
+#MTP3 test port (partly)
+
+ln -sf ../MTP3asp_CNL113337/src/MTP3asp_Types.ttcn .
+ln -sf ../MTP3asp_CNL113337/src/MTP3asp_PortType.ttcn .
+
+#SCCP Emulator + protocol module
+
+ln -sf ../SCCP_CNL113341/src/SCCPasp_Types.ttcn .
+ln -sf ../SCCP_CNL113341/src/SCCP_Types.ttcn .
+ln -sf ../SCCP_CNL113341/src/SCCP_Mapping.ttcnpp .
+ln -sf ../SCCP_CNL113341/src/SCCP_Emulation.ttcn .
+
+#SCTP test port
+ln -sf ../SCTPasp_CNL113469/src/SCTPasp_Types.ttcn .
+ln -sf ../SCTPasp_CNL113469/src/SCTPasp_PortType.ttcn .
+ln -sf ../SCTPasp_CNL113469/src/SCTPasp_PT.hh .
+ln -sf ../SCTPasp_CNL113469/src/SCTPasp_PT.cc .
+
+
+#Test cases
+ln -sf ../SCCP_Test/SCCP_Testcases.ttcn .
+ln -sf ../SCCP_Test/SCCP_Testcases.cfg .